Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGradient.Spread

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGradient.Spread

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGradient

    public static final class QGradient.Spread

extends java.lang.Enum
implements QtEnumerator

Specifies how the area outside the gradient area should be filled.

See also:
  `spread()`, and `setSpread()`.

See Also:
  Serialized Form

Field Summary
`static QGradient.Spread` | `PadSpread` The area is filled with the closest stop color.
`static QGradient.Spread` | `ReflectSpread` The gradient is reflected outside the gradient area.
`static QGradient.Spread` | `RepeatSpread` The gradient is repeated outside the gradient area.

Method Summary
`static QGradient.Spread` | `resolve(int value)` Returns the QGradient$Spread constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGradient.Spread` | `valueOf(java.lang.String name)`
`static QGradient.Spread[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PadSpread

    public static final QGradient.Spread PadSpread

  The area is filled with the closest stop color. This is the default.

### ReflectSpread

    public static final QGradient.Spread ReflectSpread

  The gradient is reflected outside the gradient area.

### RepeatSpread

    public static final QGradient.Spread RepeatSpread

  The gradient is repeated outside the gradient area.

Method Detail

### values

    public static QGradient.Spread[] values()

### valueOf

    public static QGradient.Spread valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGradient.Spread resolve(int value)

  Returns the QGradient$Spread constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD